diff --git a/x-pack/plugin/transform/qa/single-node-tests/src/test/java/org/elasticsearch/xpack/transform/integration/TransformRestTestCase.java b/x-pack/plugin/transform/qa/single-node-tests/src/test/java/org/elasticsearch/xpack/transform/integration/TransformRestTestCase.java
index 6ca7b0f18f5c7..f357df2476cc3 100644
--- a/x-pack/plugin/transform/qa/single-node-tests/src/test/java/org/elasticsearch/xpack/transform/integration/TransformRestTestCase.java
+++ b/x-pack/plugin/transform/qa/single-node-tests/src/test/java/org/elasticsearch/xpack/transform/integration/TransformRestTestCase.java
@@ -380,9 +380,9 @@ protected static void deleteTransform(String transformId) throws IOException {
 
     @After
     public void waitForTransform() throws Exception {
+        ensureNoInitializingShards();
         logAudits();
         if (preserveClusterUponCompletion() == false) {
-            ensureNoInitializingShards();
             wipeTransforms();
             waitForPendingTransformTasks();
         }
